Page MenuHomePhabricator

decom titanium
Closed, ResolvedPublic

Description

host "titanium" used to host archiva.wikimedia.org and has now been replaced by meitnerium.

decom this precise host (incl. data center work)

Event Timeline

Dzahn created this task.Sep 14 2016, 6:02 PM

Change 310596 had a related patch set uploaded (by Dzahn):
archiva/site: remove titanium, fix role syntax

https://gerrit.wikimedia.org/r/310596

Change 310597 had a related patch set uploaded (by Dzahn):
install_server: remove host titanium

https://gerrit.wikimedia.org/r/310597

Dzahn updated the task description. (Show Details)Sep 14 2016, 6:05 PM

Change 310596 merged by Dzahn:
archiva/site: remove titanium, fix role syntax

https://gerrit.wikimedia.org/r/310596

Change 310597 merged by Dzahn:
install_server: remove host titanium

https://gerrit.wikimedia.org/r/310597

Change 310599 had a related patch set uploaded (by Dzahn):
remove titanium.wikimedia.org

https://gerrit.wikimedia.org/r/310599

Dzahn removed Dzahn as the assignee of this task.Sep 14 2016, 6:14 PM

removing from pupet, preparing the decom, will wait another couple days or so before physical shutdown and removal from DNS

Dzahn claimed this task.Sep 14 2016, 6:14 PM
Dzahn added a comment.Sep 15 2016, 7:05 PM

11:33 < mutante> !log titanium - stop salt, stop puppet, revoke puppet cert, delete salt key

I shut it down now.. gone from Icinga.. and give it one more week before we wipe the disks.

:O :) Thank you for everybody’s help on this!

Change 310599 merged by Dzahn:
remove titanium.wikimedia.org

https://gerrit.wikimedia.org/r/310599

Dzahn edited projects, added ops-eqiad; removed Patch-For-Review.Sep 21 2016, 8:31 PM
Restricted Application added a subscriber: Southparkfan. · View Herald TranscriptSep 21 2016, 8:31 PM
Dzahn added a comment.Sep 22 2016, 6:00 PM

alright, handing it over to ops-eqiad now.

the server has been shutdown, public IP removed from DNS, removed from puppet/icinga etc.

please go ahead with physical decom steps, disk wipe, remove from rack, racktables etc.. thank you

Dzahn removed Dzahn as the assignee of this task.Sep 22 2016, 6:01 PM

location: eqiad row B, B4 @ 13

Cmjohnson closed this task as Resolved.Mar 3 2017, 5:44 PM
Cmjohnson claimed this task.
Cmjohnson added a subscriber: Cmjohnson.

diisks wiped and removed from rack